package com.izouma.awesomeadmin.container;

/**
 * 启动项，可在容器启动时加载
 * @author Administrator
 *
 */
public interface Lifecycle {
	/**
	 * 启动初始化
	 * @return
	 */
	boolean init();
	
	/**
	 * 启动项信息
	 * @return
	 */
	String getItemInfo();
	
	/**
	 * 关闭
	 * @return
	 */
	boolean close();	
}
